<!-- Navigation Bar -->
<nav class="navbar navbar-expand-sm sticky-top navbar-dark bg-dark">
    <div class="container-fluid">
        <a class="navbar-brand" [routerLink]="['']">Blogging Site</a>
        <form action="" class="d-flex">
            <button class="btn btn-outline-success" (click)="newPost()">New Post</button>
        </form>
    </div>
</nav>

<!-- Displaying list of Blogs -->
<div class="container my-4">
    <div class="row mb-2">
        <div class="col-md-6" *ngFor="let blog of blogs">
            <div class=" row g-0 border rounded overflow-hidden flex-md-row mb-4 shadow-sm h-md-250 position-relative">
                <div class="col p-4 d-flex flex-column position-static">
                    <strong class="d-inline-block mb-2 text-success">
                        {{blog.categories}}
                    </strong>
                    <h3 class="mb-0">
                        {{blog.title}}
                    </h3>
                    <p class="card-text mb-auto">
                        {{blog.content | slice:0:50}}....
                    </p>
                    <a [routerLink]="['blog/',blog._id]" class="stretched-link"> Continue reading </a>
                </div>
            </div>
        </div>
    </div>
</div>